Insert Products

Purpose

Pushes products from a POS location to Deliverect, either the full product database or a subset such as items flagged for online sale. This includes each product’s PLU, name, price and other details, as well as configurations and structures such as modifier groups.

When Deliverect sends a Sync Productsw webhook, POS integrators must respond by calling this endpoint with the location’s products.

Endpoint Behaviour
Every call to this endpoint will either; create, update or delete products, based on the products that already exist in the specified location.

Product Configurations

For more detailed guidelines on how to structure products and set e.g. price, tax, combos etc see the page below;

Menus vs Products
Although product data is sourced from a POS, Menus are built and maintained in Deliverect, see our Menu Building Guide for further reference

Deleting products

There is currently no way to directly delete a product. To achieve the desired effect, a list of products can be pushed again, in which products "to be deleted" are omitted.

Duplicate products

Where a duplicate PLU exists, the product sync will proceed, but only one of the duplicated items will be created.

Preview

It is possible to preview how many products will be created, update or deleted without actually applying any updates to the products within Deliverect.

To do this, add an extra url parameter ?previewSync=true and set to true like below example;

Preview Sync
https://api.staging.deliverect.com/productAndCategories?previewSync=true

Force Update

By default, any product will be deleted if not included in the product data synced, but existing in Deliverect.

Deliverect allows for a precaution to identify if more than 30% of existing items will be deleted and returns a warning in the response.

To apply a precaution to all sync requests, add ?forceUpdate and set to false like below example;

No Forced Update
https://api.staging.deliverect.com/productAndCategories?forceUpdate=false

Body Params
string
required

accountId is the unique identifier of the customer account in Deliverect (obtained during onboarding via the Register POS webhook)

string
required

locationId is the unique identifier of a physical restaurant location, store, or kitchen (obtained during onboarding via the Register POS webhook)

products
array of objects
required
products*
categories
array of objects
required

This is the lookup table for every product which specifies posCategoryIds. It sets the categories which would form a menu when imported, and also provides a reference when products are added to menus in Deliverect.

categories*
priceLevels
array of objects

See the price levels guide for more information. This is mandatory when using Price Levels, otherwise the Price Level will not work.

priceLevels
Responses

202

Asynchronous

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json